︠9d514849-cabf-4246-8e00-2457ce5d5ed0as︠
%auto
typeset_mode(True, display=False)
︡a28e4395-55a1-44d2-bbeb-0fa91259a64f︡{"done":true}
︠30d8a454-0bee-495e-978d-9078cd9bf2c4︠
#####################
###### Code Starts ##
#####################
#Time Series Diagram
#Sinan Kapcak
#2017
#Time Series 2D

x,y,a=var('x y a')
@interact
def _(
    param1=input_box(label='Slider interval for paramater $a$',default=(0,5),width=20)
):
    @interact
    def _(
        f=input_box(label='$f(x,y)$',default=a*y/(y+x^2+1) ),
        g=input_box(label='$g(x,y)$',default=x/(x+y^2+1)  ),
        x0y0=input_box(label='$(x_0,y_0)$',default=(1,2)),
        parameter0=slider(param1[0] ,  param1[1], .01, default= (5*param1[0]+param1[1])/6 ,label='Parameter $a$' ),
        iterasyon=input_box(default=50,label='Number of iterations'),
        figs=slider(2, 20, 1, default=6,label='Figure size'),
        ar=slider([2^n for n in [-10..10]], default=16,label='Aspect Ratio' )
    ):
        nok=[ x0y0   ]#list of points
        for i in range(iterasyon):
            nok.append((f(x=nok[-1][0],y=nok[-1][1],a=parameter0),g(x=nok[-1][0],y=nok[-1][1],a=parameter0)))
        listx=[nok[i][0] for i in range(iterasyon)  ]
        listy=[nok[i][1] for i in range(iterasyon) ]
        grafx=list_plot(listx,plotjoined=True,rgbcolor='grey',alpha=.7)
        grafy=list_plot(listy,plotjoined=True,rgbcolor='red',alpha=.7)
        show(grafx+grafy,aspect_ratio=ar,figsize=figs,axes_labels=['$n$','$x_n,y_n$'])
#####################
###### Code Ends ####
#####################
︡3865713b-a494-450a-bda1-676477327d1c︡{"html": ""}︡









